import request from '@/utils/request'

// 小区下拉
export function getAreaList(query) {
  return request({
    url: '/zdsz/area/getAreaList',
    method: 'get',
    params: query
  })
}
// 查询小区管理列表
export function listArea(query) {
  return request({
    url: '/zdsz/area/list',
    method: 'get',
    params: query
  })
}

// 查询小区管理详细
export function getArea(id) {
  return request({
    url: '/zdsz/area/' + id,
    method: 'get'
  })
}

// 新增小区管理
export function addArea(data) {
  return request({
    url: '/zdsz/area',
    method: 'post',
    data: data
  })
}

// 修改小区管理
export function updateArea(data) {
  return request({
    url: '/zdsz/area',
    method: 'put',
    data: data
  })
}

// 删除小区管理
export function delArea(id) {
  return request({
    url: '/zdsz/area/' + id,
    method: 'delete'
  })
}
export function getAreas() {
  return request({
    url: '/zdsz/area/getAreaList/',
    method: 'get',
    params:{district:''}
  })
}
